VARNISHSTAT(1)

NAME
varnishstat - HTTP accelerator statistics

SYNOPSIS
varnishstat [-1] [-n varnish_name] [-V] [-w delay]

DESCRIPTION
The varnishstat utility displays statistics from a running varnishd(1) instance.

The following options are available:

-1  Instead of presenting of a continuously updated display, print the statistics once and exit.

-n  Specifies the name of the varnishd instance to get logs from. If -n is not specified, the host name is used.

-V  Display the version number and exit.

-w delay
    Wait delay seconds between updates. The default is 1.

The columns in the main display are, from left to right:

1.  Value

2.  Per-second average in the period since last update, or a period if the value can not be averaged

3.  Per-second average over process lifetime, or a period if the value can not be averaged

4.  Descriptive text

When using the -1 option, the columns in the output are, from left to right:

1.  Symbolic entry name

2.  Value

3.  Per-second average over process lifetime, or a period if the value can not be averaged

4.  Descriptive text

SEE ALSO
varnishd(1), varnishhist(1), varnishlog(1), varnishncsa(1), varnishtop(1), curses(3)

HISTORY
The varnishstat utility was originally developed by Poul-Henning Kamp <phk@phk.freebsd.dk> in cooperation with Verdens Gang AS and Linpro AS, and later substantially rewritten by Dag-Erling Smørgrav <des@linpro.no>. This manual page was written by Dag-Erling Smørgrav <des@linpro.no>.